Classes which implement this interface can render incoming elements

### Hierarchy

- IRenderer

### Implemented by

- AbstractDecorator
- AbstractRenderer
- ClassicRenderer
- ContentCentricRenderer
- NoopRenderer
- RatingDecorator
- RevealJsRenderer

## Index

### Methods

- appendContent
- appendSuggest
- init
- render

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- - Defined in lib/api/IRenderer.ts:25

  Appends the incoming {@link HTMLElement} to the content div which is specified in the used renderer

  #### Parameters

  - ##### element: HTMLElement

    the element which will be appended

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- - Defined in lib/api/IRenderer.ts:32

  Appends the incoming {@link HTMLElement} to the suggestion div which is specified in the used renderer

  #### Parameters

  - ##### element: HTMLElement

    the element which will be appended

  #### Returns void

### init

- init(channelId?: undefined | string): void

- - Defined in lib/api/IRenderer.ts:18

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### render

- render(message: ISpecification | IRenderable, containerType?: IStackeable): HTMLElement[]

- - Defined in lib/api/IRenderer.ts:16

  Renders an element

  #### Parameters

  - ##### message: ISpecification | IRenderable

    the message which was received

  - ##### Optional containerType: IStackeable

    the parent container of the given message

  #### Returns HTMLElement[]

Generated using TypeDoc